declare class PollingRequest {
    maxRequest: number;
    maxPollingTime: number;
    timeInterval: number;
    timer: any;
    /**
     * 轮询
     * @constructor
     * @param {number} [maxPollingTime=10] 最大轮询次数
     * @param {number} [timeInterval=2000] 轮询间隔
     * @example
     *
     * ```ts
     * const polling = new PollingRequest(10);
     * const cb = () => {
     *   this.onGetTeamList(true);
     * };
     * polling.polling(cb);
     * ```
     */
    constructor(maxPollingTime?: number, timeInterval?: number);
    /**
     * 重置，即取消轮询
     */
    reset(): void;
    /**
     * 开始轮询
     * @param {function} func 轮询方法
     */
    polling(func: Function): void;
}
export { PollingRequest };
